<div
  class="container-background-color overlay-field container-border-color p-10"
  style="width: 250px"
  [attr.data-test-element-id]="'edit-filter-text'"
  [sqtmCoreWorkspace]="workspace"
  [localTheme]="true"
>
  @if (filter.availableOperations.length > 1) {
    <div class="m-t-5 m-b-5">
      <sqtm-core-operation-selector
        [availableOperations]="filter.availableOperations"
        [operation]="filter.operation"
        (operationChanged)="operationChanged($event)"
      >
      </sqtm-core-operation-selector>
    </div>
  }
  <input
    [attr.data-test-element-id]="'input'"
    #input
    nz-input
    [(ngModel)]="value"
    (keyup)="handleKeyboardInput($event)"
  />
  <div class="m-t-5 flex-row">
    <button
      [attr.data-test-element-id]="'update-button'"
      nz-button
      nzType="primary"
      (click)="changeValue()"
    >
      {{ 'sqtm-core.generic.label.update' | translate | capitalize }}
    </button>
    <button
      [attr.data-test-element-id]="'cancel-button'"
      style="margin-left: auto"
      nz-button
      nzType="default"
      (click)="closeTextField()"
    >
      {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
    </button>
  </div>
</div>
